import pygame

class Sprite:
	def __init__(self,surface,coords,flags = 0,render_count=1):
		self.surface = surface
		self.coords = coords
		self.size = self.surface.get_size()
		self.flags = flags
		self.render_count = render_count
	
	def update(self):
		return True
	
	def mouse_in(self,pos):
		return pygame.Rect(self.coords[0],self.coords[1],self.size[0],self.size[1]).collidepoint(pos)
	
	def draw(self,surf):
		for i in range(0,self.render_count):
			surf.blit(self.surface, self.coords, None, self.flags)
		return True